<!-- ____________________________ Render modal Dialog (delete workspace)START _________________________________________ -->


<ejs-dialog id="modalDialog" isModal="true" #modalDialog width='450px' [animationSettings]='animationSettings'
    (open)="modalDlgOpen()" (close)="modalDlgClose()" [visible]='false' showCloseIcon='true'>
    <ng-template #content>
        <form id="template_driven" #userForm="ngForm" novalidate>

            <div class="form-group my-3">
                <div class="e-float-input">
                    <input type="text" id="name" name="grpname" [(ngModel)]="grpname" readonly disabled>
                    <span class="e-float-line"></span>
                    <label class="e-float-text e-label-top" for="name">{{i18Labels?.Name}} <span class="required">*</span></label>

                </div>
            </div>

            <div class="form-group my-3">
                <div class="e-float-input">
                    <input type="text" id="description" #descvar='ngModel' name="description" required
                        [(ngModel)]="description">
                    <span class="e-float-line"></span>
                    <label class="e-float-text e-label-top" for="description"> {{i18Labels?.description}} <span
                            class="required">*</span></label>
                    <div *ngIf="(descvar.invalid && (descvar.dirty || descvar.touched))">
                        <div class="e-error" *ngIf="descvar.errors.required">
                            * {{i18Labels?.Description_required}}
                        </div>
                    </div>
                </div>
            </div>




            <div class="row form-group my-3">
                <div class="cancelBtn offset-md-6 col-md-3">
                    <button class="cancel-btn e-btn" id="cancel-btn" (click)="Closedialog()"
                        type="cancel">{{i18Labels?.Cancel}}</button>
                </div>
                <div class="doneBtn col-md-3">
                    <button class="done-btn e-btn" id="done-btn"  [disabled]="!userForm.valid" (click)="editDescription()" type="save">{{i18Labels?.Save}}</button>
                </div>
            </div>
        </form>
    </ng-template>
    <ng-template #header>
        <div class="e-icon-settings dlg-template"> {{i18Labels?.Edit_Group_Details}} </div>
    </ng-template>
</ejs-dialog>

<ejs-dialog id="modalDialogModules" isModal="true" #modalDialogModules width='450px'
    [animationSettings]='animationSettings' (open)="modalDlgOpen()" (close)="modalDlgClose()" [visible]='false'
    showCloseIcon='true'>
    <ng-template #content>
        <div id='collapseApplications' *ngIf="showPermissionModal">
            <ejs-accordion #accordion (expanding)="expanding($event)">
                <e-accordionitems>
                    <e-accordionitem expanded='true' *ngFor="let functionality of Editfunctionality_list">
                        <ng-template #header>
                            <div><ejs-checkbox label="{{functionality.nodeText}}" [checked]="selectedEditFunctionality[functionality['nodeId']]" (change)="change(functionality.nodeId)"></ejs-checkbox>
                                </div>
                        </ng-template>
                        <ng-template #content>
                            <div *ngFor="let role of functionality.roles | orderByAlphabetically : 'role_id' " class="ml-2 mb-2">
                                <ejs-radiobutton label="{{role.nodeText}}" value="{{role.nodeId}}" (change)="selectValue(functionality.nodeId, role.nodeId)" name="{{functionality.nodeId}}" cssClass="custom-radio-btn" 
                                [checked]="selectedEditFunctionality[functionality['nodeId']] == role.nodeId">
                                </ejs-radiobutton>
                            </div>
                        </ng-template>
                    </e-accordionitem>
                </e-accordionitems>
            </ejs-accordion>
            <!-- <ejs-treeview #treeView [fields]='field1' [showCheckBox]="true"></ejs-treeview> -->
        </div>
        <div class="row form-group my-3">
            <div class="cancelBtn offset-md-6 col-md-3">
                <button class="cancel-btn e-btn" id="cancel-btn" (click)="ClosedialogModules()" type="cancel">{{i18Labels?.Cancel}} </button>
            </div>
            <div class="doneBtn col-md-3">
                <button class="done-btn e-btn" id="done-btn" (click)="editPermissions()" type="save">{{i18Labels?.Save}} </button>
            </div>
        </div>

    </ng-template>
    <ng-template #header>
        <div class="e-icon-settings dlg-template"> {{i18Labels?.Edit_Permissions}} </div>
    </ng-template>
</ejs-dialog>




<ejs-dialog id="confirmDialog" #confirmDialog [visible]='false' [animationSettings]='animationSettings'
    [showCloseIcon]='true' width='400px' isModal="true">
    <ng-template #header>
        <div title="Delete Group" class="e-icon-settings dlg-template">
            {{i18Labels?.Delete_group}} </div>
    </ng-template>
    <ng-template #content>
        <p> {{i18Labels?.delete_description}}</p>
    </ng-template>
    <div class="form-group container">
        <div class="submitBtn">
            <button class="submit-btn e-btn ml-1 mr-1" id="submit-btn" type="reset"
                (click)="delete_group(this.groupinfo)"> {{i18Labels?.yes}} </button>
            <button class="submit-btn e-btn ml-1 mr-1" id="submit-btn" type="reset" (click)="dont_delete_group()"> {{i18Labels?.no}}
            </button>
        </div>
    </div>
</ejs-dialog>

<ejs-dialog id='addUserGroup' #addUserGroup [visible]='false' [animationSettings]='animationSettings'
    [showCloseIcon]='true' width='700px' isModal="true">
    <ng-template #header>
        <div title="Add Users" class="e-icon-settings dlg-template">
            {{i18Labels?.Add_Users}} </div>
    </ng-template>
    <ng-template #content>
        <form class="form-horizontal mt-3">
            <div class="form-group">
                <label class="control-label col-md-6 font-weight-bold" for="groupName">{{i18Labels?.Add_Users}}
                    <span class="required">*</span></label>
                <div class="col-md-12">
                    <select name="selectedUserID" [(ngModel)]="selectedUserID" required class="form-control" id="ugName"
                        name="ugName" (change)="selectChanged()">
                        <option value="" disabled selected>{{ i18Labels.SelectText }}</option>
                        <option *ngFor="let _user of listOfUsers | orderByAlphabetically: 'firstname'"
                            [value]="_user.user_id"> {{_user.firstname}} {{_user.lastname}} - {{_user.email}}</option>
                    </select>
                </div>
                <div class="row mt-3" *ngIf="listToDisplayUsers?.length > 0">
                    <ejs-grid #modalgridelement [dataSource]='listToDisplayUsers' class="ml-0 no-min-height"
                        [allowSorting]="true">
                        <e-columns>
                            <e-column headerText='{{i18Labels?.NAME}}' width=70>
                                <ng-template #template let-data>
                                    <div class="e-avatar e-avatar e-avatar-circle mr-2">{{data?.firstname?.charAt(0)}}
                                        {{data?.lastname?.charAt(0)}} </div>
                                    <span class="blue">{{data.firstname}} {{data.lastname}}
                                        &nbsp;<span *ngIf="data.is_admin"
                                            class="badge badge-pill chip">{{i18Labels?.ADMIN}}</span>
                                    </span>
                                </ng-template>
                            </e-column>
                            <e-column field='email' headerText='{{i18Labels?.Email}}' width=100></e-column>

                            <e-column headerText='{{i18Labels?.ACTIONS}}' width= 40>
                                <ng-template #template let-data>
                                    <span class="cursor-pointer text-primary"
                                        (click)="deleteFromModal(data.index)">{{i18Labels?.Remove}}</span>
                                </ng-template>
                            </e-column>
                        </e-columns>
                    </ejs-grid>
                </div>
            </div>
        </form>
        <!--Hide conditionally-->

    </ng-template>
    <div class="e-footer-content">
        <button type="submit" class="e-control e-btn e-lib e-primary e-flat" data-ripple="true"
            (click)="addToMainTable()">{{i18Labels?.Add_Users}}</button>
    </div>
</ejs-dialog>


<!--Added for Layers-->

<ejs-dialog id='addLayerToGroup' #addLayerToGroup [visible]='false' [animationSettings]='animationSettings'
    [showCloseIcon]='true' width='700px' isModal="true">
    <ng-template #header>
        <div title="Add Layers" class="e-icon-settings dlg-template">
            {{ i18Labels.add_layers }} </div>
    </ng-template>
    <ng-template #content>
        <form class="form-horizontal mt-3">
            <div class="form-group">
                <label class="control-label col-md-6 font-weight-bold" for="groupName">{{ i18Labels.add_layers }}
                    <span class="required">*</span></label>
                <div class="col-md-12">
                    <select name="selectedLayerId" [(ngModel)]="selectedLayerId" required class="form-control"
                        id="layerName" name="layerName" (change)="layerSelectChanged()">
                        <option value="" disabled selected>{{ i18Labels.SelectText }}</option>
                        <option *ngFor="let layer of listOfLayers | orderByAlphabetically: 'name'"
                            [value]="layer.layer_id"> {{layer.name}} - {{layer.layer_type}} - {{layer.description}}
                        </option>
                    </select>
                </div>
                <div class="row mt-3" *ngIf="displayListForLayers?.length > 0">
                    <ejs-grid #modalgridelement [dataSource]='displayListForLayers' class="ml-0 no-min-height"
                        [allowSorting]="true">
                        <e-columns>
                            <e-column field='name' headerText="{{i18Labels?.Name}}" width='90'></e-column>
                            <e-column field='layer_type' headerText="{{i18Labels?.layer_type}}" width='90'></e-column>
                            <e-column field='description' headerText="{{i18Labels?.description}}" width='90'></e-column>
                        </e-columns>
                    </ejs-grid>
                </div>
            </div>
        </form>
        <!--Hide conditionally-->

    </ng-template>
    <div class="e-footer-content">
        <button type="submit" class="e-control e-btn e-lib e-primary e-flat" data-ripple="true"
            (click)="addLayersToMainTable()">{{i18Labels?.Add_Groups}}</button>
    </div>
</ejs-dialog>
<!--Layers Ended-->

<div class="control-section row">
    <div class="col-md-1 mw-col mt-4">
        <span class="mb-3 cursor-pointer col-xs-4">
            <em class="fa fa-chevron-left" (click)="openUserDetails()"></em>

        </span>
    </div>

    <div class="col-md-11 mt-4 pl-1">
        <nav class=" navbar justify-content-start pl-0 pt-0">

            <div class="float-left ">
                <p class="mb-0 text-capitalize"><strong>{{groupinfo?.name}}</strong></p>
                <p class='sub-heading text-muted'><small>{{groupinfo?.description}} &nbsp; <u class="cursor-pointer"
                            *ngIf="authenticateService.userInfo?.is_admin"
                            (click)="modalBtnClick1()"><strong>{{i18Labels?.Edit}}</strong></u></small></p>
            </div>

            <div class="ml-auto" *ngIf="authenticateService.userInfo?.is_admin && groupinfo?.group_type != 'D'">
                <button ejs-button (click)="modalBtnClick()"
                    class="btn btn-sm mr-1 ml-1 sec-btn">{{i18Labels?.Delete_Group}}</button>
                <button ejs-button id='modalbtn' (click)="addNewUserToGroup()"
                    class="btn btn-sm mr-1 ml-1 btn-dark">{{i18Labels?.Add_Users}}</button>
            </div>
        </nav>



        <div class="mt-2">
            <p class="mb-0"><strong>{{userdetails?.length}}</strong></p>
            <p class='sub-heading text-muted'><small>{{i18Labels?.GROUP_MEMBERS}}</small></p>
            <br />
        </div>

        <strong>{{i18Labels?.Layers}}</strong><label *ngIf="authenticateService.userInfo?.is_admin"
            class="float-right cursor-pointer blue" (click)="addLayersClicked()">{{i18Labels?.Add}}</label><br>
        <div class="mt-2">
            <ejs-grid #gridelement [dataSource]="groupinfo?.layers" class="ml-0 no-min-height" [allowSorting]="true">
                <e-columns>
                    <e-column width=10>
                        <ng-template #template let-data>
                            <em *ngIf="data.is_active" class="fa fa-check-circle fa-sm layer-isActive-icon"></em>
                            <em *ngIf="!data.is_active" class="fa fa-exclamation-triangle layer-in-active-icon"></em>  
                        </ng-template>
                    </e-column>
                    <e-column headerText='{{i18Labels?.LAYER_NAME}}' width=70>
                        <ng-template #template let-data>
                            {{data.name}}
                        </ng-template>
                    </e-column>
                    <e-column headerText='{{i18Labels?.TYPE}}' width=100>
                        <ng-template #template let-data>
                            {{connectorDetails.CONNECTOR_TYPES[data.type]?.name}}
                        </ng-template>
                    </e-column>
                    <e-column headerText='{{i18Labels?.Path}} / {{i18Labels?.schema_name}}' width=100>
                        <ng-template #template let-data>
                            <span *ngIf="data.type=='s3' || data.type=='sftp'">{{data.path}}</span><span *ngIf="data.type=='sf'" > {{data.schema}}</span>
                        </ng-template>
                    </e-column>

                    <e-column *ngIf="authenticateService.userInfo?.is_admin" headerText='{{i18Labels?.ACTIONS}}'
                        width= 40>
                        <ng-template #template let-data>
                            <span (click)="removelayer(data)"
                                class="cursor-pointer text-primary">{{i18Labels?.Remove}}</span>
                        </ng-template>
                    </e-column>
                </e-columns>
            </ejs-grid>
        </div>

        <br />

        <strong>{{i18Labels?.Permissions}}</strong> <label *ngIf=" authenticateService.userInfo?.is_admin"
            (click)="editModulesFunctionality()"
            class="float-right cursor-pointer blue ">{{i18Labels?.Edit}}</label><br>
        <div class=" mt-2 mb-4">
            <ul class="list-group">


                <div id='treeparent'>
                    <ejs-treeview #treeelement [fields]='field' [cssClass]="'custom'"></ejs-treeview>
                </div>
                <!-- <label class="list-group-item border-0" *ngFor="let data of dataSource">{{data.description}}<em
                        class="fa fa-check-circle  blue float-right fa-lg w-25" aria-hidden="true"></em></label>
          -->
            </ul>
        </div>


        <strong *ngIf="userdetails && groupinfo?.group_type != 'D'">{{i18Labels?.GROUP_MEMBERS}}</strong><br>
        <div class="mt-2 mb-5" *ngIf="userdetails">

            <ejs-grid #gridelement [dataSource]='userdetails' class="ml-0 no-min-height" [allowSorting]="true">
                <e-columns>
                    <e-column headerText='{{i18Labels?.NAME}}' width=70>
                        <ng-template #template let-data>
                            <div class="e-avatar e-avatar e-avatar-circle mr-2">{{data?.firstname?.charAt(0)}}
                                {{data?.lastname?.charAt(0)}} </div>
                            <span class="blue">{{data.firstname}} {{data.lastname}}
                                &nbsp;<span *ngIf="data.is_admin"
                                    class="badge badge-pill chip">{{i18Labels?.ADMIN}}</span>
                            </span>
                        </ng-template>
                    </e-column>
                    <e-column headerText='{{i18Labels?.Email}}' width=100>
                        <ng-template #template let-data>
                            {{data.email}}
                        </ng-template>
                    </e-column>

                    <e-column *ngIf="authenticateService.userInfo?.is_admin" headerText='{{i18Labels?.ACTIONS}}'
                        width= 40>
                        <ng-template #template let-data>
                            <span class="cursor-pointer text-primary"
                                (click)="removegrp(data)">{{i18Labels?.Remove}}</span>
                        </ng-template>
                    </e-column>
                </e-columns>
            </ejs-grid>
        </div>



    </div>
</div>